USE teachcloud_db;

create table if not exists boot_app_info (
    app_code varchar(20) not null,
    app_version varchar(10) not null,
    locked bit(1) not null default 0,
    unique key(app_code)
    );

insert into boot_app_info (app_code,app_version) values('teachcloud','3.4.3');


CREATE TABLE `mark_archive_student` (
           `student_id` BIGINT(20) NOT NULL,
           `exam_id` BIGINT(20) NULL,
           `paper_number` VARCHAR(100) NULL,
           `student_code` VARCHAR(45) NULL,
           `basic_student_id` BIGINT(20) NULL,
           `sheet_urls` MEDIUMTEXT NULL COMMENT '图片地址',
           `subjective_questions` MEDIUMTEXT NULL,
           `objective_questions` MEDIUMTEXT NULL,
           `card_content` MEDIUMTEXT NULL,
           `create_time` BIGINT(20) NULL,
           PRIMARY KEY (`student_id`))
    COMMENT = '考生归档数据表';
